Package com.collabnet.ce.soap60.webservices.integrationdata

# Class IntegrationDataAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.integrationdata.IntegrationDataAppSoapMockStub

All Implemented Interfaces:
  `IIntegrationDataAppSoap`

public class IntegrationDataAppSoapMockStub extends ClientSoapMockStub implements IIntegrationDataAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegrationDataAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SoapNamedValues`
  `getData(String sessionId, String namespaceId, String objectId)`
  Simulate a call to getData
  `String`
  `getDataByKey(String sessionId, String namespaceId, String objectId, String key)`
  Simulate a call to getDataByKey
  `String`
  `getNamespaceId(String sessionId, String name)`
  Simulate a call to getNamespaceId
  `void`
  `prepareGetData(String sessionId, String namespaceId, String objectId, Object returnValue)`
  Prepare a simulated response to getData
  `void`
  `prepareGetDataByKey(String sessionId, String namespaceId, String objectId, String key, Object returnValue)`
  Prepare a simulated response to getDataByKey
  `void`
  `prepareGetNamespaceId(String sessionId, String name, Object returnValue)`
  Prepare a simulated response to getNamespaceId
  `void`
  `preparePutData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues)`
  Prepare a simulated response to putData
  `void`
  `preparePutData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues, Exception exception)`
  Prepare a simulated response to putData
  `void`
  `preparePutDataByKey(String sessionId, String namespaceId, String objectId, String key, String value)`
  Prepare a simulated response to putDataByKey
  `void`
  `preparePutDataByKey(String sessionId, String namespaceId, String objectId, String key, String value, Exception exception)`
  Prepare a simulated response to putDataByKey
  `void`
  `prepareRegisterNamespace(String sessionId, String name, Object returnValue)`
  Prepare a simulated response to registerNamespace
  `void`
  `prepareRemoveData(String sessionId, String namespaceId, String objectId, String[] keys)`
  Prepare a simulated response to removeData
  `void`
  `prepareRemoveData(String sessionId, String namespaceId, String objectId, String[] keys, Exception exception)`
  Prepare a simulated response to removeData
  `void`
  `prepareRemoveDataByKey(String sessionId, String namespaceId, String objectId, String key)`
  Prepare a simulated response to removeDataByKey
  `void`
  `prepareRemoveDataByKey(String sessionId, String namespaceId, String objectId, String key, Exception exception)`
  Prepare a simulated response to removeDataByKey
  `void`
  `putData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues)`
  Simulate a call to putData
  `void`
  `putDataByKey(String sessionId, String namespaceId, String objectId, String key, String value)`
  Simulate a call to putDataByKey
  `String`
  `registerNamespace(String sessionId, String name)`
  Simulate a call to registerNamespace
  `void`
  `removeData(String sessionId, String namespaceId, String objectId, String[] keys)`
  Simulate a call to removeData
  `void`
  `removeDataByKey(String sessionId, String namespaceId, String objectId, String key)`
  Simulate a call to removeDataByKey

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegrationDataAppSoapMockStub

    public IntegrationDataAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareRegisterNamespace

    public void prepareRegisterNamespace(String sessionId, String name, Object returnValue)
    Prepare a simulated response to registerNamespace
    See Also:
      - `IntegrationDataAppSoap.registerNamespace(java.lang.String, java.lang.String)`

  - ### registerNamespace

    public String registerNamespace(String sessionId, String name) throws RemoteException
    Simulate a call to registerNamespace
    Specified by:
      `registerNamespace` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `name` - The name of the namespace to register
    Returns:
      Integration data namespace id
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `ObjectAlreadyExistsFault` - when the specified name already exists
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.registerNamespace(java.lang.String, java.lang.String)`

  - ### prepareGetNamespaceId

    public void prepareGetNamespaceId(String sessionId, String name, Object returnValue)
    Prepare a simulated response to getNamespaceId
    See Also:
      - `IntegrationDataAppSoap.getNamespaceId(java.lang.String, java.lang.String)`

  - ### getNamespaceId

    public String getNamespaceId(String sessionId, String name) throws RemoteException
    Simulate a call to getNamespaceId
    Specified by:
      `getNamespaceId` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `name` - The name of the namespace to get
    Returns:
      Integration data namespace id
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the specified name doesn't exist.
      `SystemFault` - when an unexpected system error occurs.
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.getNamespaceId(java.lang.String, java.lang.String)`

  - ### preparePutData

    public void preparePutData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues)
    Prepare a simulated response to putData
    See Also:
      - `IntegrationDataAppSoap.putData(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### preparePutData

    public void preparePutData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues, Exception exception)
    Prepare a simulated response to putData
    See Also:
      - `IntegrationDataAppSoap.putData(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### putData

    public void putData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues) throws RemoteException
    Simulate a call to putData
    Specified by:
      `putData` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `namedValues` - Key value pairs of data to associate
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.putData(java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.types.SoapNamedValues)`

  - ### preparePutDataByKey

    public void preparePutDataByKey(String sessionId, String namespaceId, String objectId, String key, String value)
    Prepare a simulated response to putDataByKey
    See Also:
      - `IntegrationDataAppSoap.putDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### preparePutDataByKey

    public void preparePutDataByKey(String sessionId, String namespaceId, String objectId, String key, String value, Exception exception)
    Prepare a simulated response to putDataByKey
    See Also:
      - `IntegrationDataAppSoap.putDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### putDataByKey

    public void putDataByKey(String sessionId, String namespaceId, String objectId, String key, String value) throws RemoteException
    Simulate a call to putDataByKey
    Specified by:
      `putDataByKey` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `key` - The key of the piece of data to store
      `value` - The value to store
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.putDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareRemoveData

    public void prepareRemoveData(String sessionId, String namespaceId, String objectId, String[] keys)
    Prepare a simulated response to removeData
    See Also:
      - `IntegrationDataAppSoap.removeData(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareRemoveData

    public void prepareRemoveData(String sessionId, String namespaceId, String objectId, String[] keys, Exception exception)
    Prepare a simulated response to removeData
    See Also:
      - `IntegrationDataAppSoap.removeData(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

  - ### removeData

    public void removeData(String sessionId, String namespaceId, String objectId, String[] keys) throws RemoteException
    Simulate a call to removeData
    Specified by:
      `removeData` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `keys` - Integration data keys (and associated values) to remove.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.removeData(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

  - ### prepareRemoveDataByKey

    public void prepareRemoveDataByKey(String sessionId, String namespaceId, String objectId, String key)
    Prepare a simulated response to removeDataByKey
    See Also:
      - `IntegrationDataAppSoap.removeDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareRemoveDataByKey

    public void prepareRemoveDataByKey(String sessionId, String namespaceId, String objectId, String key, Exception exception)
    Prepare a simulated response to removeDataByKey
    See Also:
      - `IntegrationDataAppSoap.removeDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### removeDataByKey

    public void removeDataByKey(String sessionId, String namespaceId, String objectId, String key) throws RemoteException
    Simulate a call to removeDataByKey
    Specified by:
      `removeDataByKey` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `key` - Integration data key (and associated value) to remove.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.removeDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetData

    public void prepareGetData(String sessionId, String namespaceId, String objectId, Object returnValue)
    Prepare a simulated response to getData
    See Also:
      - `IntegrationDataAppSoap.getData(java.lang.String, java.lang.String, java.lang.String)`

  - ### getData

    public SoapNamedValues getData(String sessionId, String namespaceId, String objectId) throws RemoteException
    Simulate a call to getData
    Specified by:
      `getData` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to get data under
      `objectId` - The object to get the data for
    Returns:
      A SoapNamedValues collection of key/value pair stored data
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to get data on the object
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.getData(java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareGetDataByKey

    public void prepareGetDataByKey(String sessionId, String namespaceId, String objectId, String key, Object returnValue)
    Prepare a simulated response to getDataByKey
    See Also:
      - `IntegrationDataAppSoap.getDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### getDataByKey

    public String getDataByKey(String sessionId, String namespaceId, String objectId, String key) throws RemoteException
    Simulate a call to getDataByKey
    Specified by:
      `getDataByKey` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to get data under
      `objectId` - The object to get the data for
      `key` - The key of the piece of data to retrieve
    Returns:
      The value of the stored piece of data
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to get data on the object
      `RemoteException`
    See Also:
      - `IntegrationDataAppSoap.getDataByKey(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`